API
List events for the authenticated user
GET
/events
const url = 'https://mw.omazy.ai/api/v1/events';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://mw.omazy.ai/api/v1/events \ --header 'Authorization: <Authorization>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”from
string
ISO8601 lower bound for starts_at
to
string
ISO8601 upper bound for starts_at
time_sensitive_only
boolean
When true, returns only time-sensitive events
cursor
string
Opaque pagination cursor
limit
integer
Page size (default 25, max 200)
Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
error
object
code
string
message
string
meta
object
next_cursor
string
page
integer
per_page
integer
total
integer
success
boolean
data
Array<object>
object
app_id
string
created_at
string
ends_at
string
id
string
is_time_sensitive
boolean
notes
string
reminder_at
string
source
string
source_event_id
string
starts_at
string
title
string
updated_at
string
user_id
string
Examplegenerated
{ "data": [ { "app_id": "example", "created_at": "example", "ends_at": "example", "id": "example", "is_time_sensitive": true, "notes": "example", "reminder_at": "example", "source": "example", "source_event_id": "example", "starts_at": "example", "title": "example", "updated_at": "example", "user_id": "example" } ], "error": { "code": "example", "message": "example" }, "meta": { "next_cursor": "example", "page": 1, "per_page": 1, "total": 1 }, "success": true}